/* parasoft-begin-suppress MISRA2012-RULE-1_1_b_c99-2 "C99 - limits, DRV-4754" parasoft-begin-suppress MISRA2012-RULE-1_1_b_c90-2 "C90 - limits, DRV-4754" */
/* parasoft-begin-suppress MISRA2012-RULE-5_4_b_c90-2 "C90 - similar names, DRV-4756" */
/* parasoft-begin-suppress MISRA2012-RULE-5_4_b_c99-2 "C99 - similar names, DRV-4756" */

/**********************************************************************
* Copyright (C) 2012-2024 Cadence Design Systems, Inc.
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* 1. Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
* 3. Neither the name of the copyright holder nor the names of its
* contributors may be used to endorse or promote products derived from
* this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*
* THIS FILE IS AUTOMATICALLY GENERATED, DO NOT EDIT
*
**********************************************************************/

#ifndef REG_DP_REGS_MACROS_H_
#define REG_DP_REGS_MACROS_H_

#define DP__DP_REGS__AUX_CONFIG_P_READ_MASK                          0xFFFFFFFFU
#define DP__DP_REGS__AUX_CONFIG_P_WRITE_MASK                         0xFFFFFFFFU
#define DP__DP_REGS__AUX_CONFIG_P__BANDGAP_ADJUST_MASK               0x00000003U
#define DP__DP_REGS__AUX_CONFIG_P__BANDGAP_ADJUST_SHIFT                       0U
#define DP__DP_REGS__AUX_CONFIG_P__BANDGAP_ADJUST_WIDTH                       2U
#define DP__DP_REGS__AUX_CONFIG_P__RX_OFFSET_DIS_MASK                0x00000004U
#define DP__DP_REGS__AUX_CONFIG_P__RX_OFFSET_DIS_SHIFT                        2U
#define DP__DP_REGS__AUX_CONFIG_P__RX_OFFSET_DIS_WIDTH                        1U
#define DP__DP_REGS__AUX_CONFIG_P__RX_OFFSET_DIS_WOCLR                        0U
#define DP__DP_REGS__AUX_CONFIG_P__RX_OFFSET_DIS_WOSET                        0U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_0_MASK                   0x00000008U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_0_SHIFT                           3U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_0_WIDTH                           1U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_0_WOCLR                           0U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_0_WOSET                           0U
#define DP__DP_REGS__AUX_CONFIG_P__RX_DEGLITCH_FILTER_MASK           0x00000030U
#define DP__DP_REGS__AUX_CONFIG_P__RX_DEGLITCH_FILTER_SHIFT                   4U
#define DP__DP_REGS__AUX_CONFIG_P__RX_DEGLITCH_FILTER_WIDTH                   2U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_1_MASK                   0x000000C0U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_1_SHIFT                           6U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_1_WIDTH                           2U
#define DP__DP_REGS__AUX_CONFIG_P__RX_HYST_LVL_MASK                  0x00000700U
#define DP__DP_REGS__AUX_CONFIG_P__RX_HYST_LVL_SHIFT                          8U
#define DP__DP_REGS__AUX_CONFIG_P__RX_HYST_LVL_WIDTH                          3U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_2_MASK                   0x00000800U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_2_SHIFT                          11U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_2_WIDTH                           1U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_2_WOCLR                           0U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_2_WOSET                           0U
#define DP__DP_REGS__AUX_CONFIG_P__TX_REDUCED_SWING_MASK             0x00001000U
#define DP__DP_REGS__AUX_CONFIG_P__TX_REDUCED_SWING_SHIFT                    12U
#define DP__DP_REGS__AUX_CONFIG_P__TX_REDUCED_SWING_WIDTH                     1U
#define DP__DP_REGS__AUX_CONFIG_P__TX_REDUCED_SWING_WOCLR                     0U
#define DP__DP_REGS__AUX_CONFIG_P__TX_REDUCED_SWING_WOSET                     0U
#define DP__DP_REGS__AUX_CONFIG_P__TX_SLEW_RATE_MASK                 0x00006000U
#define DP__DP_REGS__AUX_CONFIG_P__TX_SLEW_RATE_SHIFT                        13U
#define DP__DP_REGS__AUX_CONFIG_P__TX_SLEW_RATE_WIDTH                         2U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_3_MASK                   0x00008000U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_3_SHIFT                          15U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_3_WIDTH                           1U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_3_WOCLR                           0U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_3_WOSET                           0U
#define DP__DP_REGS__AUX_CONFIG_P__TX_CURR_CTRL_MASK                 0x001F0000U
#define DP__DP_REGS__AUX_CONFIG_P__TX_CURR_CTRL_SHIFT                        16U
#define DP__DP_REGS__AUX_CONFIG_P__TX_CURR_CTRL_WIDTH                         5U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_4_MASK                   0x00E00000U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_4_SHIFT                          21U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_4_WIDTH                           3U
#define DP__DP_REGS__AUX_CONFIG_P__TERM_SEG_EN_MASK                  0x1F000000U
#define DP__DP_REGS__AUX_CONFIG_P__TERM_SEG_EN_SHIFT                         24U
#define DP__DP_REGS__AUX_CONFIG_P__TERM_SEG_EN_WIDTH                          5U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_5_MASK                   0xE0000000U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_5_SHIFT                          29U
#define DP__DP_REGS__AUX_CONFIG_P__RESERVED_5_WIDTH                           3U

#define DP__DP_REGS__AUX_CTRL_P_READ_MASK                            0xFFFFFFFFU
#define DP__DP_REGS__AUX_CTRL_P_WRITE_MASK                           0xFFFFFFFFU
#define DP__DP_REGS__AUX_CTRL_P__BANDGAP_EN_MASK                     0x00000001U
#define DP__DP_REGS__AUX_CTRL_P__BANDGAP_EN_SHIFT                             0U
#define DP__DP_REGS__AUX_CTRL_P__BANDGAP_EN_WIDTH                             1U
#define DP__DP_REGS__AUX_CTRL_P__BANDGAP_EN_WOCLR                             0U
#define DP__DP_REGS__AUX_CTRL_P__BANDGAP_EN_WOSET                             0U
#define DP__DP_REGS__AUX_CTRL_P__DECAP_EN_MASK                       0x00000002U
#define DP__DP_REGS__AUX_CTRL_P__DECAP_EN_SHIFT                               1U
#define DP__DP_REGS__AUX_CTRL_P__DECAP_EN_WIDTH                               1U
#define DP__DP_REGS__AUX_CTRL_P__DECAP_EN_WOCLR                               0U
#define DP__DP_REGS__AUX_CTRL_P__DECAP_EN_WOSET                               0U
#define DP__DP_REGS__AUX_CTRL_P__RESERVED_0_MASK                     0xFFFFFFFCU
#define DP__DP_REGS__AUX_CTRL_P__RESERVED_0_SHIFT                             2U
#define DP__DP_REGS__AUX_CTRL_P__RESERVED_0_WIDTH                            30U

#define DP__DP_REGS__AUX_ATBSEL_P_READ_MASK                          0xFFFFFFFFU
#define DP__DP_REGS__AUX_ATBSEL_P_WRITE_MASK                         0xFFFFFFFFU
#define DP__DP_REGS__AUX_ATBSEL_P__AUXIP_ATBSEL_ONEHOT_MASK          0x000000FFU
#define DP__DP_REGS__AUX_ATBSEL_P__AUXIP_ATBSEL_ONEHOT_SHIFT                  0U
#define DP__DP_REGS__AUX_ATBSEL_P__AUXIP_ATBSEL_ONEHOT_WIDTH                  8U
#define DP__DP_REGS__AUX_ATBSEL_P__RESERVED_0_MASK                   0xFFFFFF00U
#define DP__DP_REGS__AUX_ATBSEL_P__RESERVED_0_SHIFT                           8U
#define DP__DP_REGS__AUX_ATBSEL_P__RESERVED_0_WIDTH                          24U

#define DP__DP_REGS__AUX_TESTMODE_CTL_P_READ_MASK                    0xFFFFFFFFU
#define DP__DP_REGS__AUX_TESTMODE_CTL_P_WRITE_MASK                   0xFFFFFFFFU
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_TESTMODE_EN_MASK        0x00000001U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_TESTMODE_EN_SHIFT                0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_TESTMODE_EN_WIDTH                1U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_TESTMODE_EN_WOCLR                0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_TESTMODE_EN_WOSET                0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RX_EN_CTRL_MASK             0x00000002U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RX_EN_CTRL_SHIFT                     1U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RX_EN_CTRL_WIDTH                     1U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RX_EN_CTRL_WOCLR                     0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RX_EN_CTRL_WOSET                     0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__TX_EN_CTRL_MASK             0x00000004U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__TX_EN_CTRL_SHIFT                     2U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__TX_EN_CTRL_WIDTH                     1U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__TX_EN_CTRL_WOCLR                     0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__TX_EN_CTRL_WOSET                     0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_DATA_IN_MASK            0x00000008U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_DATA_IN_SHIFT                    3U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_DATA_IN_WIDTH                    1U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_DATA_IN_WOCLR                    0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__AUX_DATA_IN_WOSET                    0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__DECAP_EN_DEL_MASK           0x00000010U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__DECAP_EN_DEL_SHIFT                   4U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__DECAP_EN_DEL_WIDTH                   1U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__DECAP_EN_DEL_WOCLR                   0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__DECAP_EN_DEL_WOSET                   0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RESERVED_MASK               0xFFFFFFE0U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RESERVED_SHIFT                       5U
#define DP__DP_REGS__AUX_TESTMODE_CTL_P__RESERVED_WIDTH                      27U

#define DP__DP_REGS__AUX_TESTMODE_ST_P_READ_MASK                     0xFFFFFFFFU
#define DP__DP_REGS__AUX_TESTMODE_ST_P_WRITE_MASK                    0xFFFFFFFFU
#define DP__DP_REGS__AUX_TESTMODE_ST_P__HPD_DATA_OUT_MASK            0x00000001U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__HPD_DATA_OUT_SHIFT                    0U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__HPD_DATA_OUT_WIDTH                    1U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__HPD_DATA_OUT_WOCLR                    0U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__HPD_DATA_OUT_WOSET                    0U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__AUX_DATA_OUT_MASK            0x00000002U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__AUX_DATA_OUT_SHIFT                    1U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__AUX_DATA_OUT_WIDTH                    1U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__AUX_DATA_OUT_WOCLR                    0U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__AUX_DATA_OUT_WOSET                    0U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__RESERVED_MASK                0xFFFFFFFCU
#define DP__DP_REGS__AUX_TESTMODE_ST_P__RESERVED_SHIFT                        2U
#define DP__DP_REGS__AUX_TESTMODE_ST_P__RESERVED_WIDTH                       30U

#define DP__DP_REGS__PHY_RESET_P_READ_MASK                           0xFFFFFFFFU
#define DP__DP_REGS__PHY_RESET_P_WRITE_MASK                          0xFFFFFFFFU
#define DP__DP_REGS__PHY_RESET_P__PHY_L00_RESET_N_MASK               0x00000001U
#define DP__DP_REGS__PHY_RESET_P__PHY_L00_RESET_N_SHIFT                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L00_RESET_N_WIDTH                       1U
#define DP__DP_REGS__PHY_RESET_P__PHY_L00_RESET_N_WOCLR                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L00_RESET_N_WOSET                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L01_RESET_N_MASK               0x00000002U
#define DP__DP_REGS__PHY_RESET_P__PHY_L01_RESET_N_SHIFT                       1U
#define DP__DP_REGS__PHY_RESET_P__PHY_L01_RESET_N_WIDTH                       1U
#define DP__DP_REGS__PHY_RESET_P__PHY_L01_RESET_N_WOCLR                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L01_RESET_N_WOSET                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L02_RESET_N_MASK               0x00000004U
#define DP__DP_REGS__PHY_RESET_P__PHY_L02_RESET_N_SHIFT                       2U
#define DP__DP_REGS__PHY_RESET_P__PHY_L02_RESET_N_WIDTH                       1U
#define DP__DP_REGS__PHY_RESET_P__PHY_L02_RESET_N_WOCLR                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L02_RESET_N_WOSET                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L03_RESET_N_MASK               0x00000008U
#define DP__DP_REGS__PHY_RESET_P__PHY_L03_RESET_N_SHIFT                       3U
#define DP__DP_REGS__PHY_RESET_P__PHY_L03_RESET_N_WIDTH                       1U
#define DP__DP_REGS__PHY_RESET_P__PHY_L03_RESET_N_WOCLR                       0U
#define DP__DP_REGS__PHY_RESET_P__PHY_L03_RESET_N_WOSET                       0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_0_MASK         0x00000010U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_0_SHIFT                 4U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_0_WIDTH                 1U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_0_WOCLR                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_0_WOSET                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_1_MASK         0x00000020U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_1_SHIFT                 5U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_1_WIDTH                 1U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_1_WOCLR                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_1_WOSET                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_2_MASK         0x00000040U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_2_SHIFT                 6U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_2_WIDTH                 1U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_2_WOCLR                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_2_WOSET                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_3_MASK         0x00000080U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_3_SHIFT                 7U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_3_WIDTH                 1U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_3_WOCLR                 0U
#define DP__DP_REGS__PHY_RESET_P__PMA_TX_ELEC_IDLE_LN_3_WOSET                 0U
#define DP__DP_REGS__PHY_RESET_P__PHY_RESET_MASK                     0x00000100U
#define DP__DP_REGS__PHY_RESET_P__PHY_RESET_SHIFT                             8U
#define DP__DP_REGS__PHY_RESET_P__PHY_RESET_WIDTH                             1U
#define DP__DP_REGS__PHY_RESET_P__PHY_RESET_WOCLR                             0U
#define DP__DP_REGS__PHY_RESET_P__PHY_RESET_WOSET                             0U
#define DP__DP_REGS__PHY_RESET_P__RESERVED_1_MASK                    0xFFFFFE00U
#define DP__DP_REGS__PHY_RESET_P__RESERVED_1_SHIFT                            9U
#define DP__DP_REGS__PHY_RESET_P__RESERVED_1_WIDTH                           23U

#define DP__DP_REGS__PMA_PLLCLK_EN_P_READ_MASK                       0xFFFFFFFFU
#define DP__DP_REGS__PMA_PLLCLK_EN_P_WRITE_MASK                      0xFFFFFFFFU
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_0_MASK   0x00000001U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_0_SHIFT           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_0_WIDTH           1U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_0_WOCLR           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_0_WOSET           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_1_MASK   0x00000002U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_1_SHIFT           1U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_1_WIDTH           1U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_1_WOCLR           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_1_WOSET           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_2_MASK   0x00000004U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_2_SHIFT           2U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_2_WIDTH           1U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_2_WOCLR           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_2_WOSET           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_3_MASK   0x00000008U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_3_SHIFT           3U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_3_WIDTH           1U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_3_WOCLR           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__PMA_XCVR_PLLCLK_EN_LN_3_WOSET           0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__RESERVED_0_MASK                0xFFFFFFF0U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__RESERVED_0_SHIFT                        4U
#define DP__DP_REGS__PMA_PLLCLK_EN_P__RESERVED_0_WIDTH                       28U

#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P_READ_MASK                   0xFFFFFFFFU
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P_WRITE_MASK                  0xFFFFFFFFU
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_0_MASK 0x00000001U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_0_SHIFT   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_0_WIDTH   1U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_0_WOCLR   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_0_WOSET   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_1_MASK 0x00000002U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_1_SHIFT   1U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_1_WIDTH   1U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_1_WOCLR   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_1_WOSET   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_2_MASK 0x00000004U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_2_SHIFT   2U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_2_WIDTH   1U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_2_WOCLR   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_2_WOSET   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_3_MASK 0x00000008U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_3_SHIFT   3U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_3_WIDTH   1U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_3_WOCLR   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__PMA_XCVR_PLLCLK_EN_ACK_LN_3_WOSET   0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__RESERVED_0_MASK            0xFFFFFFF0U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__RESERVED_0_SHIFT                    4U
#define DP__DP_REGS__PMA_PLLCLK_EN_ACK_P__RESERVED_0_WIDTH                   28U

#define DP__DP_REGS__PMA_POWER_STATE_REQ_P_READ_MASK                 0xFFFFFFFFU
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P_WRITE_MASK                0xFFFFFFFFU
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_0_MASK 0x0000003FU
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_0_SHIFT 0U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_0_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_0_MASK          0x000000C0U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_0_SHIFT                  6U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_0_WIDTH                  2U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_1_MASK 0x00003F00U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_1_SHIFT 8U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_1_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_1_MASK          0x0000C000U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_1_SHIFT                 14U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_1_WIDTH                  2U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_2_MASK 0x003F0000U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_2_SHIFT 16U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_2_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_2_MASK          0x00C00000U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_2_SHIFT                 22U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_2_WIDTH                  2U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_3_MASK 0x3F000000U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_3_SHIFT 24U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__PMA_XCVR_POWER_STATE_REQ_LN_3_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_3_MASK          0xC0000000U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_3_SHIFT                 30U
#define DP__DP_REGS__PMA_POWER_STATE_REQ_P__RESERVED_3_WIDTH                  2U

#define DP__DP_REGS__PMA_POWER_STATE_ACK_P_READ_MASK                 0xFFFFFFFFU
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P_WRITE_MASK                0xFFFFFFFFU
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_0_MASK 0x0000003FU
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_0_SHIFT 0U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_0_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_0_MASK          0x000000C0U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_0_SHIFT                  6U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_0_WIDTH                  2U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_1_MASK 0x00003F00U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_1_SHIFT 8U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_1_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_1_MASK          0x0000C000U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_1_SHIFT                 14U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_1_WIDTH                  2U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_2_MASK 0x003F0000U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_2_SHIFT 16U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_2_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_2_MASK          0x00C00000U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_2_SHIFT                 22U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_2_WIDTH                  2U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_3_MASK 0x3F000000U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_3_SHIFT 24U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__PMA_XCVR_POWER_STATE_ACK_LN_3_WIDTH 6U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_3_MASK          0xC0000000U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_3_SHIFT                 30U
#define DP__DP_REGS__PMA_POWER_STATE_ACK_P__RESERVED_3_WIDTH                  2U

#define DP__DP_REGS__PMA_CMN_READY_P_READ_MASK                       0xFFFFFFFFU
#define DP__DP_REGS__PMA_CMN_READY_P_WRITE_MASK                      0xFFFFFFFFU
#define DP__DP_REGS__PMA_CMN_READY_P__PMA_CMN_READY_MASK             0x00000001U
#define DP__DP_REGS__PMA_CMN_READY_P__PMA_CMN_READY_SHIFT                     0U
#define DP__DP_REGS__PMA_CMN_READY_P__PMA_CMN_READY_WIDTH                     1U
#define DP__DP_REGS__PMA_CMN_READY_P__PMA_CMN_READY_WOCLR                     0U
#define DP__DP_REGS__PMA_CMN_READY_P__PMA_CMN_READY_WOSET                     0U
#define DP__DP_REGS__PMA_CMN_READY_P__RESERVED_0_MASK                0xFFFFFFFEU
#define DP__DP_REGS__PMA_CMN_READY_P__RESERVED_0_SHIFT                        1U
#define DP__DP_REGS__PMA_CMN_READY_P__RESERVED_0_WIDTH                       31U

#define DP__DP_REGS__PMA_TX_VMARGIN_P_READ_MASK                      0xFFFFFFFFU
#define DP__DP_REGS__PMA_TX_VMARGIN_P_WRITE_MASK                     0xFFFFFFFFU
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_0_MASK      0x00000003U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_0_SHIFT              0U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_0_WIDTH              2U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_0_MASK               0x000000FCU
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_0_SHIFT                       2U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_0_WIDTH                       6U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_1_MASK      0x00000300U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_1_SHIFT              8U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_1_WIDTH              2U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_1_MASK               0x0000FC00U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_1_SHIFT                      10U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_1_WIDTH                       6U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_2_MASK      0x00030000U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_2_SHIFT             16U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_2_WIDTH              2U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_2_MASK               0x00FC0000U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_2_SHIFT                      18U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_2_WIDTH                       6U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_3_MASK      0x03000000U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_3_SHIFT             24U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__PMA_TX_VMARGIN_LN_3_WIDTH              2U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_3_MASK               0xFC000000U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_3_SHIFT                      26U
#define DP__DP_REGS__PMA_TX_VMARGIN_P__RESERVED_3_WIDTH                       6U

#define DP__DP_REGS__PMA_TX_DEEMPH_P_READ_MASK                       0xFFFFFFFFU
#define DP__DP_REGS__PMA_TX_DEEMPH_P_WRITE_MASK                      0xFFFFFFFFU
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_0_MASK    0x00000003U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_0_SHIFT            0U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_0_WIDTH            2U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_0_MASK                0x000000FCU
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_0_SHIFT                        2U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_0_WIDTH                        6U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_1_MASK    0x00000300U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_1_SHIFT            8U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_1_WIDTH            2U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_1_MASK                0x0000FC00U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_1_SHIFT                       10U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_1_WIDTH                        6U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_2_MASK    0x00030000U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_2_SHIFT           16U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_2_WIDTH            2U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_2_MASK                0x00FC0000U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_2_SHIFT                       18U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_2_WIDTH                        6U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_3_MASK    0x03000000U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_3_SHIFT           24U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__PMA_TX_DEEMPHASIS_LN_3_WIDTH            2U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_3_MASK                0xFC000000U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_3_SHIFT                       26U
#define DP__DP_REGS__PMA_TX_DEEMPH_P__RESERVED_3_WIDTH                        6U

#endif /* REG_DP_REGS_MACROS_H_ */

/* parasoft-end-suppress MISRA2012-RULE-5_4_b_c99-2 "C99 - similar names, DRV-4756" */
/* parasoft-end-suppress MISRA2012-RULE-5_4_b_c90-2 "C90 - similar names, DRV-4756" */
/* parasoft-end-suppress MISRA2012-RULE-1_1_b_c99-2 "C99 - limits, DRV-4754" */
/* parasoft-end-suppress MISRA2012-RULE-1_1_b_c90-2 "C90 - limits, DRV-4754" */

